Package org.apache.ignite.client

## Class ClientAuthorizationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.client.ClientException
        - - org.apache.ignite.client.ClientAuthorizationException

- All Implemented Interfaces:
    `Serializable`

      public class ClientAuthorizationException
      extends ClientException

  Indicates user has no permission to perform operation.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientAuthorizationException()` | Default constructor.
    `ClientAuthorizationException​(String msg, Throwable cause)` | Constructs a new exception with the specified detail message and cause.
    `ClientAuthorizationException​(Throwable cause)` | Constructs a new exception with the specified cause and a detail message of `(cause==null ?`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientAuthorizationException

          public ClientAuthorizationException()

      Default constructor.

    - #### ClientAuthorizationException

          public ClientAuthorizationException​(Throwable cause)

      Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.
      Parameters:
        `cause` - the cause.

    - #### ClientAuthorizationException

          public ClientAuthorizationException​(String msg,
                                              Throwable cause)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `msg` - the detail message.
        `cause` - the cause.